from StringIO import StringIO
from Products.CMFCore.utils import getToolByName
from zope.app.component.interfaces import ISite
from zope.app.component.hooks import setSite
from Products.Five.site.localsite import enableLocalSiteHook

def install(self):
    portal = getToolByName(self, 'portal_url').getPortalObject()

    if not ISite.providedBy(portal):
        enableLocalSiteHook(portal)
        setSite(portal)

    return 'Successfully installed FiveSite'

def uninstall(self):
    out = StringIO()

    return out.getvalue()
